# RPM specfile for gftp module
# Generated Mon Jan 21 18:47:52 2002 GMT by Ximian build system
# $Id: bb_do,v 1.157 2002/01/03 21:45:57 dobey Exp $
# from $Id: ximian-build.conf,v 1.16 2001/12/27 17:20:01 dobey Exp $

%define nam	gftp
%define ver	2.0.11

Name:     	gftp
Version: 	2.0.11
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://www.gnome.org/
Source0:	gftp-2.0.11.tar.gz
Patch0:		gftp-left-aligned-help.patch
Patch1:		gftp-bookmarks.patch
Summary:	X/GTK+ FTP client
Group:		Applications/Internet

%description
gFTP is a multithreaded FTP client for X written using GLib/GTK+.
It features:
* simultaneous downloads,
* resuming of interrupted file transfers,
* file transfer queues,
* downloading of entire directories,
* FTP and HTTP proxy support,
* remote directory caching,
* passive and non-passive file transfers,
* drag-n-drop support,
* bookmarks menu,
* stop button, and many more features.

%files
%defattr(-, root, root)
/opt/gnome/bin/*
/opt/gnome/share/gftp/*
/opt/gnome/share/pixmaps/*
/opt/gnome/share/gnome/apps/Internet/*
/opt/gnome/*/locale/*/LC_MESSAGES/*
/opt/gnome/man/man1/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gftp-2.0.11
    ;;
all)
%setup  -q -n gftp-2.0.11
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Jan 21 2002 Ximian, Inc.

- Version: 2.0.11-ximian.1
- New upstream version.

* Mon Jan 21 2002 Ximian, Inc.

- Version: 1:2.0.11-ximian.1
- New upstream version.

* Mon Jan 21 2002 Ximian, Inc.

- Version: 2.0.11-ximian.1
- New upstream version.

* Mon Jan 21 2002 Ximian, Inc.

- Version: 1:2.0.11-ximian.1
- New upstream version.

* Thu Dec 27 2001 Ximian, Inc.

- Version: 2.0.10-ximian.1
- New upstream version.

* Thu Dec 27 2001 Ximian, Inc.

- Version: 1:2.0.10-ximian.1
- New upstream version.

* Thu Dec 27 2001 Ximian, Inc.

- Version: 2.0.10-ximian.1
- New upstream version.

* Thu Dec 27 2001 Ximian, Inc.

- Version: 1:2.0.10-ximian.1
- New upstream version.

* Thu Dec 27 2001 Ximian, Inc.

- Version: 2.0.10-ximian.1
- New upstream version.

* Thu Dec 27 2001 Ximian, Inc.

- Version: 1:2.0.10-ximian.1
- New upstream version.

* Thu Nov  8 2001 thunder

- Version: 2.0.8-ximian.3
- Imported into packaging system.

